<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - salidacoverage.info - /home/qhxar/Desktop/TPI/tpi-algoritmos-i/test/ordenarRegionYCODUSUTEST.cpp</title>
  <link rel="stylesheet" type="text/css" href="../../../../../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../../../../../index.html">top level</a> - <a href="index.html">home/qhxar/Desktop/TPI/tpi-algoritmos-i/test</a> - ordenarRegionYCODUSUTEST.cpp<span style="font-size: 80%;"> (source / <a href="ordenarRegionYCODUSUTEST.cpp.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">salidacoverage.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">36</td>
            <td class="headerCovTableEntry">36</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">2019-06-10 10:35:58</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">18</td>
            <td class="headerCovTableEntry">18</td>
            <td class="headerCovTableEntryHi">100.0 %</td>
          </tr>
          <tr><td><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : #include &quot;../definiciones.h&quot;</a>
<span class="lineNum">       2 </span>            : #include &quot;../Funciones_TPI.h&quot;
<span class="lineNum">       3 </span>            : #include &quot;../ejercicios.h&quot;
<span class="lineNum">       4 </span>            : #include &quot;gtest/gtest.h&quot;
<span class="lineNum">       5 </span>            : #include &lt;iostream&gt;
<span class="lineNum">       6 </span>            : #include &lt;string&gt;
<span class="lineNum">       7 </span>            : #include &quot;../auxiliares.h&quot;
<span class="lineNum">       8 </span>            : 
<span class="lineNum">       9 </span>            : using namespace std;
<a name="10"><span class="lineNum">      10 </span>            : </a>
<span class="lineNum">      11 </span>            : 
<span class="lineNum">      12 </span><span class="lineCov">         10 : TEST(ordenarRegionYCODUSUTEST, unSoloHogarYUnSoloIndividuo) {</span>
<span class="lineNum">      13 </span><span class="lineCov">          4 :     eph_h th_esperado = {{334, 2017, 1, 1, 2, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">      14 </span><span class="lineCov">          4 :     eph_i ti_esperado = {{334, 1, 2017, 1, 0, 1, 36, 1, 3, 16300, 1}};</span>
<span class="lineNum">      15 </span>            : 
<span class="lineNum">      16 </span><span class="lineCov">          4 :     eph_h th = {{334, 2017, 1, 1, 2, 0, 1, 3, 1, 2}};</span>
<span class="lineNum">      17 </span><span class="lineCov">          4 :     eph_i ti = {{334, 1, 2017, 1, 0, 1, 36, 1, 3, 16300, 1}};</span>
<span class="lineNum">      18 </span>            : 
<span class="lineNum">      19 </span><span class="lineCov">          2 :     ordenarRegionYCodusu(th, ti);</span>
<span class="lineNum">      20 </span>            : 
<span class="lineNum">      21 </span><span class="lineCov">          2 :     EXPECT_EQ(th_esperado, th);</span>
<span class="lineNum">      22 </span><span class="lineCov">          2 :     EXPECT_EQ(ti_esperado, ti);</span>
<span class="lineNum">      23 </span>            : 
<a name="24"><span class="lineNum">      24 </span><span class="lineCov">          2 : }</span></a>
<span class="lineNum">      25 </span>            : 
<span class="lineNum">      26 </span><span class="lineCov">         10 : TEST(ordenarRegionYCODUSUTEST, regionesDistintas) {</span>
<span class="lineNum">      27 </span>            : 
<span class="lineNum">      28 </span>            :     eph_h th = {
<span class="lineNum">      29 </span>            :             {334, 2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      30 </span>            :             {960, 2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      31 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      32 </span>            : 
<span class="lineNum">      33 </span>            :     eph_i ti = {
<span class="lineNum">      34 </span>            :             {334, 1, 2017, 1, 0, 1, 36, 1, 3, 16300, 1},
<span class="lineNum">      35 </span>            :             {960, 3, 2017, 1, 1, 2, 51, 1, 4, 1280,  1},
<span class="lineNum">      36 </span>            :             {960, 2, 2017, 1, 0, 2, 20, 1, 3, 7000,  1},
<span class="lineNum">      37 </span>            :             {960, 1, 2017, 1, 0, 2, 19, 0, 0, 0,     6}
<span class="lineNum">      38 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      39 </span>            : 
<span class="lineNum">      40 </span>            :     eph_h th_esperado = {
<span class="lineNum">      41 </span>            :             {960, 2017, 1, 1, 1, 0, 1, 4, 1, 2},
<span class="lineNum">      42 </span>            :             {334, 2017, 1, 1, 2, 0, 1, 3, 1, 2},
<span class="lineNum">      43 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      44 </span>            : 
<span class="lineNum">      45 </span>            :     eph_i ti_esperado = {
<span class="lineNum">      46 </span>            :             {960, 1, 2017, 1, 0, 2, 19, 0, 0, 0,     6},
<span class="lineNum">      47 </span>            :             {960, 2, 2017, 1, 0, 2, 20, 1, 3, 7000,  1},
<span class="lineNum">      48 </span>            :             {960, 3, 2017, 1, 1, 2, 51, 1, 4, 1280,  1},
<span class="lineNum">      49 </span>            :             {334, 1, 2017, 1, 0, 1, 36, 1, 3, 16300, 1},
<span class="lineNum">      50 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      51 </span>            : 
<span class="lineNum">      52 </span>            : 
<span class="lineNum">      53 </span><span class="lineCov">          2 :     ordenarRegionYCodusu(th, ti);</span>
<span class="lineNum">      54 </span><span class="lineCov">          2 :     EXPECT_EQ(th_esperado, th);</span>
<span class="lineNum">      55 </span><span class="lineCov">          2 :     EXPECT_EQ(ti_esperado, ti);</span>
<span class="lineNum">      56 </span>            : 
<a name="57"><span class="lineNum">      57 </span><span class="lineCov">          2 : }</span></a>
<span class="lineNum">      58 </span>            : 
<span class="lineNum">      59 </span><span class="lineCov">         10 : TEST(elSuperTEST, tablaGrande) {</span>
<span class="lineNum">      60 </span>            : 
<span class="lineNum">      61 </span>            :     eph_h th = {
<span class="lineNum">      62 </span>            :             {{350, 2008, 1, 1, 1, 0, 1, 5, 2, 1},
<span class="lineNum">      63 </span>            :                     {542, 2004, 2, 2, 1, 0, 1, 5, 2, 2},
<span class="lineNum">      64 </span>            :                     {754, 2004, 2, 2, 1, 0, 2, 6, 3, 2},
<span class="lineNum">      65 </span>            :                     {1788, 2014, 1, 2, 4, 0, 5, 3, 1, 1},
<span class="lineNum">      66 </span>            :                     {1601, 2014, 2, 3, 5, 0, 5, 5, 4, 2},
<span class="lineNum">      67 </span>            :                     {2005, 2001, 2, 1, 6, 0, 1, 4, 2, 2},
<span class="lineNum">      68 </span>            :                     {3001, 2001, 3, 2, 2, 1, 1, 4, 2, 1},
<span class="lineNum">      69 </span>            :                     {895, 2007, 3, 2, 2, 1, 2, 2, 1, 2},
<span class="lineNum">      70 </span>            :                     {970, 2010, 1, 3, 2, 0, 2, 6, 4, 1},
<span class="lineNum">      71 </span>            :                     {1053, 2009, 2, 1, 3, 0, 3, 3, 2, 2},
<span class="lineNum">      72 </span>            :                     {1534, 1998, 2, 2, 3, 0, 3, 4, 2, 2},
<span class="lineNum">      73 </span>            :                     {2015, 1989, 3, 2, 4, 1, 4, 4, 3, 2},
<span class="lineNum">      74 </span>            :             },
<span class="lineNum">      75 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      76 </span>            : 
<span class="lineNum">      77 </span>            :     eph_i ti = {
<span class="lineNum">      78 </span>            :             {2015, 1, 1989, 3, 2, 25, 1, 1,  3, 20000, 8},
<span class="lineNum">      79 </span>            :             {1788, 1, 2014, 1, 1, 37, 0, -1, 0, 0,     6},
<span class="lineNum">      80 </span>            :             {2005, 1, 2010, 1, 1, 18, 0, 1,  0, 0,     1},
<span class="lineNum">      81 </span>            :             {3001, 1, 2010, 1, 2, 25, 1, 1,  3, 25000, 8},
<span class="lineNum">      82 </span>            :             {895,  1, 2007, 3, 2, 45, 1, 1,  3, 30000, 6},
<span class="lineNum">      83 </span>            :             {970,  1, 2010, 1, 1, 7,  0, -1, 0, 0,     6},
<span class="lineNum">      84 </span>            :             {970,  2, 2010, 1, 2, 20, 0, 0,  0, 0,     6},
<span class="lineNum">      85 </span>            :             {1053, 1, 2009, 2, 1, 37, 0, -1, 0, 0,     10},
<span class="lineNum">      86 </span>            :             {350,  2, 2008, 1, 2, 20, 0, 0,  0, 0,     10},
<span class="lineNum">      87 </span>            :             {350,  1, 2008, 1, 1, 7,  0, -1, 0, 0,     6},
<span class="lineNum">      88 </span>            :             {542,  1, 2004, 2, 1, 18, 0, 1,  0, 0,     10},
<span class="lineNum">      89 </span>            : 
<span class="lineNum">      90 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">      91 </span>            : 
<span class="lineNum">      92 </span>            :     eph_h th_esperado = {
<span class="lineNum">      93 </span>            :             {350,  2008, 1, 1, 1, 0, 1, 5, 2, 1},
<span class="lineNum">      94 </span>            :             {542,  2004, 2, 2, 1, 0, 1, 5, 2, 2},
<span class="lineNum">      95 </span>            :             {754,  2004, 2, 2, 1, 0, 2, 6, 3, 2},
<span class="lineNum">      96 </span>            :             {895,  2007, 3, 2, 2, 1, 2, 2, 1, 2},
<span class="lineNum">      97 </span>            :             {970,  2010, 1, 3, 2, 0, 2, 6, 4, 1},
<span class="lineNum">      98 </span>            :             {3001, 2001, 3, 2, 2, 1, 1, 4, 2, 1},
<span class="lineNum">      99 </span>            :             {1053, 2009, 2, 1, 3, 0, 3, 3, 2, 2},
<span class="lineNum">     100 </span>            :             {1534, 1998, 2, 2, 3, 0, 3, 4, 2, 2},
<span class="lineNum">     101 </span>            :             {1788, 2014, 1, 2, 4, 0, 5, 3, 1, 1},
<span class="lineNum">     102 </span>            :             {2015, 1989, 3, 2, 4, 1, 4, 4, 3, 2},
<span class="lineNum">     103 </span>            :             {1601, 2014, 2, 3, 5, 0, 5, 5, 4, 2},
<span class="lineNum">     104 </span>            :             {2005, 2001, 2, 1, 6, 0, 1, 4, 2, 2},
<span class="lineNum">     105 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">     106 </span>            : 
<span class="lineNum">     107 </span>            :     eph_i ti_esperado = {
<span class="lineNum">     108 </span>            :             {350,  1, 2008, 1, 1, 7,  0, -1, 0, 0,     6},
<span class="lineNum">     109 </span>            :             {350,  2, 2008, 1, 2, 20, 0, 0,  0, 0,     10},
<span class="lineNum">     110 </span>            :             {542,  1, 2004, 2, 1, 18, 0, 1,  0, 0,     10},
<span class="lineNum">     111 </span>            :             {895,  1, 2007, 3, 2, 45, 1, 1,  3, 30000, 6},
<span class="lineNum">     112 </span>            :             {970,  1, 2010, 1, 1, 7,  0, -1, 0, 0,     6},
<span class="lineNum">     113 </span>            :             {970,  2, 2010, 1, 2, 20, 0, 0,  0, 0,     6},
<span class="lineNum">     114 </span>            :             {3001, 1, 2010, 1, 2, 25, 1, 1,  3, 25000, 8},
<span class="lineNum">     115 </span>            :             {1053, 1, 2009, 2, 1, 37, 0, -1, 0, 0,     10},
<span class="lineNum">     116 </span>            :             {1788, 1, 2014, 1, 1, 37, 0, -1, 0, 0,     6},
<span class="lineNum">     117 </span>            :             {2015, 1, 1989, 3, 2, 25, 1, 1,  3, 20000, 8},
<span class="lineNum">     118 </span>            :             {2005, 1, 2010, 1, 1, 18, 0, 1,  0, 0,     1},
<span class="lineNum">     119 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">     120 </span>            : 
<span class="lineNum">     121 </span>            : 
<span class="lineNum">     122 </span><span class="lineCov">          2 :     ordenarRegionYCodusu(th, ti);</span>
<span class="lineNum">     123 </span><span class="lineCov">          2 :     EXPECT_EQ(th_esperado, th);</span>
<span class="lineNum">     124 </span><span class="lineCov">          2 :     EXPECT_EQ(ti_esperado, ti);</span>
<span class="lineNum">     125 </span>            : 
<a name="126"><span class="lineNum">     126 </span><span class="lineCov">          2 : }</span></a>
<span class="lineNum">     127 </span>            : 
<span class="lineNum">     128 </span><span class="lineCov">         10 : TEST(elSuperTEST2, tablaGrande) {</span>
<span class="lineNum">     129 </span>            : 
<span class="lineNum">     130 </span>            :     eph_h th = {
<span class="lineNum">     131 </span>            :             {589, 2007, 2, 1, 3, 0, 1, 5, 2, 1},
<span class="lineNum">     132 </span>            :             {522, 2007, 2, 1, 2, 0, 1, 5, 2, 1},
<span class="lineNum">     133 </span>            :             {700, 2007, 2, 1, 2, 0, 1, 5, 2, 1},
<span class="lineNum">     134 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">     135 </span>            : 
<span class="lineNum">     136 </span>            :     eph_i ti = {
<span class="lineNum">     137 </span>            :             {700, 3, 2007, 2, 1, 9,  0, 0,  0, 0,     6},
<span class="lineNum">     138 </span>            :             {589, 1, 2007, 2, 1, 62, 0, 1,  4, 0,     6},
<span class="lineNum">     139 </span>            :             {589, 3, 2007, 2, 2, 25, 1, 1,  3, 20000, 8},
<span class="lineNum">     140 </span>            :             {522, 3, 2007, 2, 1, 18, 0, 1,  0, 0,     1},
<span class="lineNum">     141 </span>            :             {522, 4, 2007, 2, 2, 68, 1, 1,  2, -1,    7},
<span class="lineNum">     142 </span>            :             {589, 2, 2007, 2, 1, 9,  0, 0,  0, 0,     6},
<span class="lineNum">     143 </span>            :             {522, 1, 2007, 2, 2, 25, 1, 1,  3, 25000, 8},
<span class="lineNum">     144 </span>            :             {522, 2, 2007, 2, 2, 55, 1, 1,  1, 40000, 1},
<span class="lineNum">     145 </span>            :             {700, 1, 2007, 2, 1, 7,  0, -1, 0, 0,     6},
<span class="lineNum">     146 </span>            :             {700, 2, 2007, 2, 1, 62, 0, 1,  4, 0,     6},
<span class="lineNum">     147 </span>            : 
<span class="lineNum">     148 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">     149 </span>            : 
<span class="lineNum">     150 </span>            :     eph_h th_esperado = {
<span class="lineNum">     151 </span>            :             {522, 2007, 2, 1, 2, 0, 1, 5, 2, 1},
<span class="lineNum">     152 </span>            :             {700, 2007, 2, 1, 2, 0, 1, 5, 2, 1},
<span class="lineNum">     153 </span>            :             {589, 2007, 2, 1, 3, 0, 1, 5, 2, 1},
<span class="lineNum">     154 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">     155 </span>            : 
<span class="lineNum">     156 </span>            :     eph_i ti_esperado = {
<span class="lineNum">     157 </span>            :             {522, 1, 2007, 2, 2, 25, 1, 1,  3, 25000, 8},
<span class="lineNum">     158 </span>            :             {522, 2, 2007, 2, 2, 55, 1, 1,  1, 40000, 1},
<span class="lineNum">     159 </span>            :             {522, 3, 2007, 2, 1, 18, 0, 1,  0, 0,     1},
<span class="lineNum">     160 </span>            :             {522, 4, 2007, 2, 2, 68, 1, 1,  2, -1,    7},
<span class="lineNum">     161 </span>            :             {700, 1, 2007, 2, 1, 7,  0, -1, 0, 0,     6},
<span class="lineNum">     162 </span>            :             {700, 2, 2007, 2, 1, 62, 0, 1,  4, 0,     6},
<span class="lineNum">     163 </span>            :             {700, 3, 2007, 2, 1, 9,  0, 0,  0, 0,     6},
<span class="lineNum">     164 </span>            :             {589, 1, 2007, 2, 1, 62, 0, 1,  4, 0,     6},
<span class="lineNum">     165 </span>            :             {589, 2, 2007, 2, 1, 9,  0, 0,  0, 0,     6},
<span class="lineNum">     166 </span>            :             {589, 3, 2007, 2, 2, 25, 1, 1,  3, 20000, 8},
<span class="lineNum">     167 </span><span class="lineCov">          4 :     };</span>
<span class="lineNum">     168 </span>            : 
<span class="lineNum">     169 </span>            : 
<span class="lineNum">     170 </span><span class="lineCov">          2 :     ordenarRegionYCodusu(th, ti);</span>
<span class="lineNum">     171 </span><span class="lineCov">          2 :     EXPECT_EQ(th_esperado, th);</span>
<a name="172"><span class="lineNum">     172 </span><span class="lineCov">          2 :     EXPECT_EQ(ti_esperado, ti);</span></a>
<span class="lineNum">     173 </span>            : 
<span class="lineNum">     174 </span><span class="lineCov">          8 : }</span>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../../../../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.13</a></td></tr>
  </table>
  <br>

</body>
</html>
